Bug 340613 - Hanging indefinitely when clicking in the name field of a face
Summary: Hanging indefinitely when clicking in the name field of a face
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 4.4.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-03 20:37 UTC by Christian Gottschall
Modified: 2016-07-14 05:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Gottschall 2014-11-03 20:37:51 UTC
In the "Faces" view, there is the "Unknown" ("Unbekannt" in German) "face". When, after selecting this pseudo-face, I click in the name field of one of the unknown faces (in order to assign a name to it), Digikam instantly hangs. Occasionally I am able to enter the first letter of the name, but the outcome is the same - digikam hanging indefinitely.

Digikam version is 4.4.0, KDE is 4.11.5.

At the hanging stage, the gdb stack trace shown is the following (not looking entirely helpful):

^C
Program received signal SIGINT, Interrupt.
0x00007ffff151f0aa in ?? () from /usr/lib64/libQtCore.so.4
(gdb) bt
#0  0x00007ffff151f0aa in ?? () from /usr/lib64/libQtCore.so.4
#1  0x00007ffff150f877 in ?? () from /usr/lib64/libQtCore.so.4
#2  0x00007ffff1514122 in ?? () from /usr/lib64/libQtCore.so.4
#3  0x00007ffff1522216 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007ffff152262a in ?? () from /usr/lib64/libQtCore.so.4
#5  0x00007ffff15271f3 in ?? () from /usr/lib64/libQtCore.so.4
#6  0x00007ffff220b718 in QTextEngine::shapeTextWithHarfbuzz(int) const ()
   from /usr/lib64/libQtGui.so.4
#7  0x00007ffff220c0a2 in QTextEngine::shapeText(int) const ()
   from /usr/lib64/libQtGui.so.4
#8  0x00007ffff220c3c5 in QTextEngine::shape(int) const ()
   from /usr/lib64/libQtGui.so.4
#9  0x00007ffff22101ff in QTextEngine::width(int, int) const ()
   from /usr/lib64/libQtGui.so.4
#10 0x00007ffff21e8910 in QFontMetrics::width(QString const&, int, int) const ()
   from /usr/lib64/libQtGui.so.4
#11 0x00007ffff2d84471 in KLineEdit::setSqueezedText() ()
   from /usr/lib64/libkdeui.so.5
#12 0x00007ffff2d87773 in KLineEdit::resizeEvent(QResizeEvent*) ()
   from /usr/lib64/libkdeui.so.5
#13 0x00007ffff2013bb2 in QWidget::event(QEvent*) ()
   from /usr/lib64/libQtGui.so.4
#14 0x00007ffff23c0f91 in QLineEdit::event(QEvent*) ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib64/libQtGui.so.4
#15 0x00007ffff2d89f10 in KLineEdit::event(QEvent*) ()
   from /usr/lib64/libkdeui.so.5
#16 0x00007ffff1fc48ac in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    () from /usr/lib64/libQtGui.so.4
#17 0x00007ffff1fcae70 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib64/libQtGui.so.4
#18 0x00007ffff2cdb18a in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib64/libkdeui.so.5
#19 0x00007ffff15b30ad in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib64/libQtCore.so.4
#20 0x00007ffff200fbd1 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/libQtGui.so.4
#21 0x00007ffff200fb26 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/libQtGui.so.4
#22 0x00007ffff200fb26 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/libQtGui.so.4
#23 0x00007ffff200fb26 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/libQtGui.so.4
#24 0x00007ffff20115ea in QWidgetPrivate::prepareToRender(QRegion const&, QFlags<QWidget::RenderFlag>) () from /usr/lib64/libQtGui.so.4
#25 0x00007ffff20125e5 in QWidgetPrivate::render(QPaintDevice*, QPoint const&, QRegion const&, QFlags<QWidget::RenderFlag>, bool) ()
---Type <return> to continue, or q <return> to quit---
---Type <return> to continue, or q <return> to quit---
   from /usr/lib64/libQtGui.so.4
#26 0x00007ffff20129d9 in QWidget::render(QPaintDevice*, QPoint const&, QRegion const&, QFlags<QWidget::RenderFlag>) () from /usr/lib64/libQtGui.so.4
#27 0x00007fffd5f34fa4 in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#28 0x00007fffd5f35387 in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#29 0x00007fffd5f316ed in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#30 0x00007ffff15caf31 in QObject::event(QEvent*) ()
   from /usr/lib64/libQtCore.so.4
#31 0x00007ffff1fc48ac in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    () from /usr/lib64/libQtGui.so.4
#32 0x00007ffff1fcae70 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib64/libQtGui.so.4
#33 0x00007ffff2cdb18a in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib64/libkdeui.so.5
#34 0x00007ffff15b30ad in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib64/libQtCore.so.4
#35 0x00007ffff15e283c in ?? () from /usr/lib64/libQtCore.so.4
#36 0x00007ffff15dfb21 in ?? () from /usr/lib64/libQtCore.so.4
#37 0x00007fffe82e2316 in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#38 0x00007fffe82e2668 in ?? () from /usr/lib64/libglib-2.0.so.0
#39 0x00007fffe82e270c in g_main_context_iteration ()
   from /usr/lib64/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#40 0x00007ffff15dfd55 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#41 0x00007ffff2061936 in ?? () from /usr/lib64/libQtGui.so.4
#42 0x00007ffff15b1d0f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#43 0x00007ffff15b2005 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#44 0x00007ffff15b713b in QCoreApplication::exec() ()
   from /usr/lib64/libQtCore.so.4
#45 0x00000000004a0470 in main (argc=<optimized out>, argv=<optimized out>)
    at /usr/src/debug/digikam-4.4.0/core/app/main/main.cpp:236
Comment 1 caulier.gilles 2014-11-03 21:57:23 UTC
There is no source code comming from digiKam here. In other word, your backtrace is uncomplete and not suitable.

Please, try to run digiKam under GDB as explained in link below to get a better backtrace :

https://www.digikam.org/contrib
Comment 2 caulier.gilles 2015-06-24 16:16:45 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 3 caulier.gilles 2015-08-17 11:28:16 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 4 caulier.gilles 2016-07-14 05:59:34 UTC
With next 5.1.0 release, a lots of investigations have be done around OpenCV
face module integration with digiKam Face Engine.
See bug #365202 history for details.
I close this file now. Don't hesistate to re-open if necessary.
Gilles Caulier